Skip to main content
Employee / Packages

Get Employee Contract Life Budget and Disbursement

This method requires the EmployeePackageItems:Get permission to be associated with your role.

GET
/sp/employee/contract-life-budget-and-disbursement
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract ID

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

life_budget_grossnumber
Example: 16500
life_budget_netnumber
Example: 15000
life_disbursements_grossnumber
Example: 11000
life_disbursements_netnumber
Example: 10000